import request from '@/utils/request'

export default {
    // 账单列表
    list: {
        url: '/api/account/bill/list',
        name: '账单列表',
        get: async function(params) {
            return request.get(this.url, {params: params})
        }
    },
    // 添加账单
    add: {
        url: '/api/account/bill/add',
        name: '添加账单',
        post: async function(params) {
            return request.post(this.url, params)
        }
    },
    // 编辑账单
    edit: {
        url: '/api/account/bill/edit',
        name: '编辑账单',
        post: async function(params) {
            return request.post(this.url, params)
        }
    },
    // 删除账单
    delete: {
        url: '/api/account/bill/delete',
        name: '删除账单',
        post: async function(params) {
            return request.post(this.url, params)
        }
    },
    // 账单详情
    detail: {
        url: '/api/account/bill/detail',
        name: '账单详情',
        get: async function(params) {
            return request.get(this.url, {params: params})
        }
    }
}
